<?php
class FieldNameFixes extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'field_name_fixes';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_review_reviews' => array(
					'reviewed_item_name' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'review'),
					'recommend' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 4, 'unsigned' => false, 'after' => 'rating'),
				),
			),
			'drop_field' => array(
				'ev_review_reviews' => array('review_item_name', 'recommended'),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_review_reviews' => array('reviewed_item_name', 'recommend'),
			),
			'create_field' => array(
				'ev_review_reviews' => array(
					'review_item_name' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
					'recommended' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 4, 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
